%define name muinetagger
%define version 1.1.0
%define release 1mdk
%define oname MuineTagger

%define muinever 0.8.4
Summary: Audio tagger plugin for Muine
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.bz2
License: LGPL
Group: Sound
Url: http://www.public.asu.edu/~bnickel/MuineTagger/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: sharptagger
BuildRequires: muine >= %muinever
BuildRequires: mono-devel
Requires: muine >= %muinever
BuildArch: noarch

%description
This is an audio tagger plugin for muine based on taglib.


%prep
%setup -q -n %oname-%version


%build
mcs -target:library -out:MuineTagger.dll -pkg:muine-plugin -pkg:gtk-sharp-2.0 -pkg:gnome-sharp-2.0 -pkg:glade-sharp-2.0 \
 -res:main.glade -res:song-editor.glade -res:album-editor.glade -res:field-editor.glade -res:quick-drop.glade \
 -r:/usr/lib/mono/SharpTagger/SharpTagger.dll *.cs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_prefix/lib/muine/plugins/
install MuineTagger.dll* %buildroot%_prefix/lib/muine/plugins/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_prefix/lib/muine/plugins/MuineTagger.dll*

%changelog
* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdk
- initial package
